Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_WORK/EXPLANDU/COMP/orchidee.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_WORK/EXPLANDU/COMP/orchidee.card	(revision 737)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_WORK/EXPLANDU/COMP/orchidee.card	(revision 739)
@@ -3,14 +3,23 @@
 
 [UserChoices]
+LAIMAP=y
+ROUTING=y
+NEWHYDROL=n
+OKCO2=y
+sechiba_LEVEL=10
+stomate_LEVEL=6
 
 [InitialStateFiles]
-List=	(${R_INIT}/SRF/${config_UserChoices_TagName}/carteveg5km.nc, .), \
-	(${R_INIT}/SRF/${config_UserChoices_TagName}/soils_param.nc, .), \
+List=	(${R_INIT}/SRF/${config_UserChoices_TagName}/irrigated.nc, .),   \
+        (${R_INIT}/SRF/${config_UserChoices_TagName}/soils_param.nc, .), \
 	(${R_INIT}/SRF/${config_UserChoices_TagName}/routing.nc, .)
+# ,   \
+# 	(${R_INIT}/SRF/${config_UserChoices_TagName}/floodplains.nc, .), \
 #       (${R_INIT}/SRF/${config_UserChoices_TagName}/PFTmap.1980.nc, pft_new.nc)
 
 [BoundaryFiles]
 List=	()
-ListNonDel= (${R_BC}/SRF/${config_UserChoices_TagName}/lai2D.nc, .)
+ListNonDel= (${R_BC}/SRF/${config_UserChoices_TagName}/PFTmap.20C3M.nc, .), \
+	    (${R_BC}/SRF/${config_UserChoices_TagName}/lai2D_03.nc, lai2D.nc)
 
 [ParametersFiles]
@@ -18,5 +27,6 @@
 
 [RestartFiles]
-List=	(sechiba_rest.nc, sechiba_rest.nc, start_sech.nc)
+# List restart that have to be saved/restored each loop (file out, saved, and in) :
+List=	(sechiba_rest_out.nc, sechiba_rest.nc, sechiba_rest_in.nc)
 
 [OutputText]
@@ -24,8 +34,13 @@
 
 [OutputFiles]
-List=	(sechiba_out.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history)
+List=	(sechiba_history.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history) \
+        (sechiba_out_2.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_out2.nc, NONE) \
+        (watchout.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_watchout.nc, NONE)
 
 [Post_1M_sechiba_history]
 Patches = (Patch_20090407_histcom_time_axis)
 GatherWithInternal = (lon, lat, veget, time_counter, Areas)
-TimeSeriesVars = (alb_nir, alb_vis, bqsb, evap, fluxlat, fluxsens, gqsb, netrad, qair, lai, rain, runoff, snow, snowf, snownobio, subli, tair, temp_sol, tsol_max, tsol_min, drainage)
+TimeSeriesVars = (lai, maxvegetfrac, vegetfrac, nobiofrac, alb_nir, alb_vis, bqsb, evap, fluxlat, fluxsens, gqsb, netrad, qair, rain, runoff, snow, snowf, snownobio, subli, tair, temp_sol, tsol_max, tsol_min, drainage, CO2FLUX)
+# ALMAOUTPUT
+#TimeSeriesVars = (vegetfrac, maxvegetfrac, nobiofrac, SWnet, LWnet, Qh, Qle, Qg, Qf, DelSurfHeat, DelColdCont, Snowf, Rainf, Evap, Qs, Qsb, Qsm, DelSoilMoist, DelSWE, DelIntercept, AvgSurfT, RadT, Albedo, SWE, SoilMoist, SoilWet, SoilTemp, PotEvap, ECanop, TVeg, ESoil, RootMoist, SubSnow, ACond, SnowFrac, SAlbedo, SnowDepth, dis, GPP)
+
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_WORK/EXPLANDU/COMP/orchidee.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_WORK/EXPLANDU/COMP/orchidee.driver	(revision 737)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_WORK/EXPLANDU/COMP/orchidee.driver	(revision 739)
@@ -1,5 +1,19 @@
 #!/bin/ksh
 
-#D- Driver du script pour ORCHIDEE_OL (off-line)
+#D- Driver du script pour ORCHIDEE
+
+function ORCHIDEE_sed
+{
+    IGCM_debug_PushStack "ORCHIDEE_sed"
+    
+    sed -e "s/^${1}\ *=.*/${1}= ${2}/" \
+	orchidee.def > orchidee.def.tmp
+    RET=$?
+    echo "ORCHIDEE_sed : ${1} ${2}"
+    \mv orchidee.def.tmp orchidee.def
+    
+    IGCM_debug_PopStack "ORCHIDEE_sed"
+    return $RET
+}
 
 #-----------------------------------------------------------------
@@ -8,8 +22,5 @@
     IGCM_debug_PushStack "SRF_Initialize"
 
-    RESOL_SRF=$( echo $RESOL | awk "-Fx" '{print $2}' | awk "-F-" '{print $1}' )
-
-    ##--Variables used by ORCHIDEE --
-    PAT_WRI_STEP=$(     grep 'WRITE_STEP='   ${SUBMIT_DIR}/PARAM/orchidee.def )
+    RESOL_SRF=ALL
 
     IGCM_debug_PopStack "SRF_Initialize"
@@ -21,17 +32,58 @@
     IGCM_debug_PushStack "SRF_Update"
 
-    (( SECH_WRI_STEP=PeriodLengthInDays * 86400 ))
+    typeset SECHIBA_WRITE_STEP
 
+    case ${config_SRF_WriteFrequency} in
+	*Y|*y) 
+	    WriteInYears=$( echo ${1} | awk -F '[yY]' "{print ${config_SRF_WriteFrequency}}" )
+	    PeriodLengthInYears=$( echo ${1} | awk -F '[yY]' "{print ${config_UserChoices_PeriodLength}}" )
+	    (( SECHIBA_WRITE_STEP = PeriodLengthInDays * WriteInYears / PeriodLengthInYears * 86400 )) ;;
+	*M|*m) 
+	    WriteInMonths=$( echo ${1} | awk -F '[mM]' "{print ${config_SRF_WriteFrequency}}" )
+	    case ${config_UserChoices_PeriodLength} in
+	    *Y|*y)
+		PeriodLengthInYears=$( echo ${1} | awk -F '[yY]' "{print ${config_UserChoices_PeriodLength}}" )
+		(( SECHIBA_WRITE_STEP = PeriodLengthInDays * 86400 / PeriodLengthInYears / 12  ))
+		;;
+	    *M|*m)
+		PeriodLengthInMonths=$( echo ${1} | awk -F '[mM]' "{print ${config_UserChoices_PeriodLength}}" )
+		(( SECHIBA_WRITE_STEP = PeriodLengthInDays * WriteInMonths  * 86400 / PeriodLengthInMonths  ))
+		;;
+	    *)
+		(( SECHIBA_WRITE_STEP = $( IGCM_date_DaysInMonth $year $month ) * 86400 ))
+		;;
+	    esac
+	    ;;
+	5D|5d) 
+	    (( SECHIBA_WRITE_STEP = 5 * 86400 )) ;;
+	1D|1d) 
+	    (( SECHIBA_WRITE_STEP = 86400 )) ;;
+	*s)
+	    WriteInSeconds=$( echo ${1} | awk -F '[s]' "{print ${config_SRF_WriteFrequency}}" )
+	    (( SECHIBA_WRITE_STEP = WriteInSeconds )) ;;
+	*) 
+	    IGCM_debug_Exit "SRF_Update " ${config_SRF_WriteFrequency} " invalid WriteFrequency : choose in 1Y, 1M, 5D, 1D." 
+	    IGCM_debug_Verif_Exit ;;
+    esac
+
+    ORCHIDEE_sed STOMATE_OK_CO2 ${orchidee_UserChoices_OKCO2}
+    ORCHIDEE_sed STOMATE_OK_STOMATE n
+
+    ORCHIDEE_sed RIVER_ROUTING ${orchidee_UserChoices_ROUTING}
+    ORCHIDEE_sed HYDROL_CWRR ${orchidee_UserChoices_NEWHYDROL}
+
+    ORCHIDEE_sed WRITE_STEP ${SECHIBA_WRITE_STEP}
+    ORCHIDEE_sed SECHIBA_HISTLEVEL ${orchidee_UserChoices_sechiba_LEVEL}
+##    if [ ${year} -eq 1950 ] ; then
+#	ORCHIDEE_sed SECHIBA_HISTFILE2 y
+# 	ORCHIDEE_sed SECHIBA_HISTLEVEL2 10
+# 	ORCHIDEE_sed WRITE_STEP2 1800.0
+##    fi
     if ( [ ${CumulPeriod} -eq 1 ] && [ "${config_SRF_Restart}" = "n" ] ) ; then
-	sed -e "s/_start_sech_/default/" \
-	    -e "s/${PAT_WRI_STEP}/WRITE_STEP=${SECH_WRI_STEP}/" \
-	    orchidee.def > orchidee.def.tmp
+	ORCHIDEE_sed SECHIBA_reset_time y
     else
-	sed -e "s/_start_sech_/start_sech.nc/" \
-	    -e "s/${PAT_WRI_STEP}/WRITE_STEP=${SECH_WRI_STEP}/" \
-	    orchidee.def > orchidee.def.tmp
+	ORCHIDEE_sed SECHIBA_restart_in sechiba_rest_in.nc
+	ORCHIDEE_sed SECHIBA_reset_time y
     fi
-
-    IGCM_sys_Mv orchidee.def.tmp orchidee.def
 
     #IGCM_sys_Cp ${RUN_DIR}/orchidee.def ${RUN_DIR}/run.def
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_WORK/EXPLANDU/PARAM/orchidee.def
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_WORK/EXPLANDU/PARAM/orchidee.def	(revision 737)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_WORK/EXPLANDU/PARAM/orchidee.def	(revision 739)
@@ -1,57 +1,1194 @@
+#
+#**************************************************************************
+#                    Namelist for ORCHIDEE
+#**************************************************************************
 #
 #
-# Parameter file for IPSLCM4_v2 configuration
-# See comments : http://forge.ipsl.jussieu.fr/orchidee/
+#**************************************************************************
+#          OPTIONS NOT SET
+#**************************************************************************
 #
-STOMATE_OK_CO2=TRUE
-# STOMATE_OK_STOMATE is not set
-# STOMATE_OK_DGVM is not set
-# STOMATE_WATCHOUT is not set
-SECHIBA_restart_in=_start_sech_
-SECHIBA_rest_out=sechiba_rest.nc
-SECHIBA_reset_time=y
-# SECHIBA_reset_time is not set
-OUTPUT_FILE=sechiba_out.nc
-WRITE_STEP=2592000
-SECHIBA_HISTLEVEL=5
-STOMATE_OUTPUT_FILE=stomate_history.nc
-STOMATE_HIST_DT=10.
-STOMATE_HISTLEVEL=0
-SECHIBA_DAY=0.0
-SECHIBA_ZCANOP=0.5
-DT_SLOW=86400.
-# IMPOSE_VEG is not set
-VEGETATION_FILE=carteveg5km.nc
-# VEGETATION_FILE=pft_new.nc
-DIFFUCO_LEAFCI=233.
-CONDVEG_SNOWA=default
-# IMPOSE_AZE is not set
-SOILALB_FILE=soils_param.nc
-SOILTYPE_FILE=soils_param.nc 
-ENERBIL_TSURF=280.
-HYDROL_SNOW=0.0
-HYDROL_SNOWAGE=0.0
-HYDROL_SNOWICE=0.0
-HYDROL_SNOWICEAGE=0.0
-HYDROL_HDRY=1.0
-HYDROL_HUMR=1.0
-HYDROL_BQSB=default
-HYDROL_GQSB=0.0
-HYDROL_DSG=0.0
-HYDROL_DSP=default
-HYDROL_QSV=0.0
-HYDROL_OK_HDIFF=n
-HYDROL_TAU_HDIFF=1800.
-THERMOSOIL_TPRO=280.
-RIVER_ROUTING=y
-ROUTING_FILE=routing.nc
-LAI_MAP=y
-LAI_FILE=lai2D.nc
-SECHIBA_QSINT=0.02
+#
+#**************************************************************************
+#          Management of display in the run of ORCHIDEE
+#**************************************************************************
+
+# Model chatting level
+# level of online diagnostics in STOMATE (0-4)
+# With this variable, you can determine how much online information STOMATE
+#  gives during the run. 0 means virtually no info.
+BAVARD = 1
+# default = 1
+
+# Flag for debug information
+# This option allows to switch on the output of debug
+#         information without recompiling the code.
+DEBUG_INFO = n
+#default = n
+
+# ORCHIDEE will print more messages
+# This flag permits to print more debug messages in the run.
+LONGPRINT = n
+#default = n
+
+#---------------------------------------------------------------------
+
+# Should the output follow the ALMA convention
+# If this logical flag is set to true the model
+#  will output all its data according to the ALMA 
+#  convention. It is the recommended way to write
+#  data out of ORCHIDEE.
+ALMA_OUTPUT = n
+# default = n
+
+# To reset the time coming from SECHIBA restart file
+# This option allows the model to override the time
+#  found in the restart file of SECHIBA with the time
+#  of the first call. That is the restart time of the GCM.
+SECHIBA_reset_time = n
+# default = n
+
+#**************************************************************************
+#          Files : incoming / forcing / restart /output
+#**************************************************************************
+# Ancillary files :
+#---------------------------------------------------------------------
+
+# Name of file from which the vegetation map is to be read
+# If !IMPOSE_VEG
+# If LAND_USE 
+#   default = pft_new.nc
+#   The name of the file to be opened to read a vegetation
+#   map (in pft) is to be given here. 
+# If !LAND_USE
+#   default = ../surfmap/carteveg5km.nc
+#   The name of the file to be opened to read the vegetation
+#   map is to be given here. Usualy SECHIBA runs with a 5kmx5km
+#   map which is derived from the IGBP one. We assume that we have
+#   a classification in 87 types. This is Olson modified by Viovy.
+VEGETATION_FILE = PFTmap.20C3M.nc
+
+
+# Name of file from which the bare soil albedo
+# If !IMPOSE_AZE
+# The name of the file to be opened to read the soil types from 
+#  which we derive then the bare soil albedos. This file is 1x1 
+#  deg and based on the soil colors defined by Wilson and Henderson-Seller.
+SOILALB_FILE = soils_param.nc
+# default = ../surfmap/soils_param.nc
+
+# Name of file from which soil types are read
+# If !IMPOSE_VEG
+# The name of the file to be opened to read the soil types. 
+#  The data from this file is then interpolated to the grid of
+#  of the model. The aim is to get fractions for sand loam and
+#  clay in each grid box. This information is used for soil hydrology
+#  and respiration.
+SOILTYPE_FILE = soils_param.nc
+# default = ../surfmap/soils_param.nc
+
+# Name of file from which the reference
+# The name of the file to be opened to read
+#  temperature is read
+#  the reference surface temperature.
+#  The data from this file is then interpolated
+#  to the grid of the model.
+#  The aim is to get a reference temperature either
+#  to initialize the corresponding prognostic model
+#  variable correctly (ok_dgvm = TRUE) or to impose it
+#  as boundary condition (ok_dgvm = FALSE)
+REFTEMP_FILE = reftemp.nc
+# default = reftemp.nc
+
+# Forcing file name
+# Name of file containing the forcing data
+# This is the name of the file which should be opened
+# for reading the forcing data of the dim0 model.
+# The format of the file has to be netCDF and COADS
+# compliant. Cabauw.nc, islscp_for.nc, WG_cru.nc
+FORCING_FILE = islscp_for.nc
+# default = islscp_for.nc
+
+# Input and output restart file for the driver
+#---------------------------------------------------------------------
+
+# Name of restart to READ for initial conditions
+# This is the name of the file which will be opened
+#  to extract the initial values of all prognostic
+#  values of the model. This has to be a netCDF file.
+#  Not truly COADS compliant. NONE will mean that
+#  no restart file is to be expected.
+RESTART_FILEIN = NONE
+# default = NONE
+
+# Name of restart files to be created by the driver
+# This variable give the  name for
+#  the restart file. The restart software within
+#  IOIPSL will add .nc if needed
+RESTART_FILEOUT = driver_rest_out.nc
+# default = driver_rest_out.nc
+
+
+# Input and output restart file for SECHIBA :
+#---------------------------------------------------------------------
+
+# Name of restart to READ for initial conditions
+# This is the name of the file which will be opened
+#  to extract the initial values of all prognostic
+#  values of the model. This has to be a netCDF file.
+#  Not truly COADS compliant. NONE will mean that
+#  no restart file is to be expected.
+SECHIBA_restart_in = NONE
+# default = NONE
+
+# Name of restart files to be created by SECHIBA
+# This variable give the name for the restart files. 
+#  The restart software within IOIPSL will add .nc if needed.
+SECHIBA_rest_out = sechiba_rest_out.nc
+# default = sechiba_rest_out.nc
+
+# Input and output restart file for STOMATE :
+#---------------------------------------------------------------------
+
+# Name of restart to READ for initial conditions of STOMATE
+# If STOMATE_OK_STOMATE || STOMATE_WATCHOUT
+# This is the name of the file which will be opened of STOMATE
+#   to extract the initial values of all prognostic values of STOMATE.
+STOMATE_RESTART_FILEIN = NONE
+# default = NONE
+
+# Name of restart files to be created by STOMATE
+# If STOMATE_OK_STOMATE || STOMATE_WATCHOUT
+# This is the name of the file which will be opened
+#        to write the final values of all prognostic values
+#        of STOMATE.
+STOMATE_RESTART_FILEOUT = stomate_rest_out.nc
+# default = stomate_restart.nc
+
+# Forcing files for TESTSTOMATE and FORCESOIL
+#---------------------------------------------------------------------
+
+# Name of STOMATE's forcing file
+# Name that will be given to STOMATE's offline forcing file
+STOMATE_FORCING_NAME = stomate_forcing.nc
+#default = NONE
+
+# Size of STOMATE forcing data in memory (MB)
+# This variable determines how many
+#  forcing states will be kept in memory.
+#  Must be a compromise between memory
+#  use and frequeny of disk access.
+STOMATE_FORCING_MEMSIZE = 50
+# default = 50
+
+# Name of STOMATE's carbon forcing file
+# Name that will be given to STOMATE's carbon offline forcing file
+STOMATE_CFORCING_NAME = stomate_Cforcing.nc
+# default = NONE
+
+
+# Produced forcing file name (SECHIBA puis STOMATE) :
+#---------------------------------------------------------------------
+
+# ORCHIDEE will write out its forcing to a file
+# This flag allows to write to a file all the variables
+#  which are used to force the land-surface. The file 
+#  has exactly the same format than a normal off-line forcing
+#  and thus this forcing can be used for forcing ORCHIDEE.
+ORCHIDEE_WATCHOUT = n
+# default = n
+
+# Filenane for the ORCHIDEE forcing file
+# If ORCHIDEE_WATCHOUT
+# This is the name of the file in which the
+#  forcing used here will be written for later use. 
+WATCHOUT_FILE = orchidee_watchout.nc
+# default = orchidee_watchout.nc
+
+# ORCHIDEE will write out with this frequency
+# If ORCHIDEE_WATCHOUT
+# This flag indicates the frequency of the write of the variables. 
+DT_WATCHOUT = 1800
+# default = dt
+
+# STOMATE does minimum service
+# set to TRUE if you want STOMATE to read
+#  and write its start files and keep track
+#  of longer-term biometeorological variables.
+#  This is useful if OK_STOMATE is not set,
+#  but if you intend to activate STOMATE later.
+#  In that case, this run can serve as a 
+#  spinup for longer-term biometeorological
+#  variables.
+STOMATE_WATCHOUT = n
+# default = n
+
+# Output file name (SECHIBA and STOMATE) :
+#---------------------------------------------------------------------
+# Name of file in which the output is going
+# This file is going to be created by the model
+#  to be written
+#  and will contain the output from the model.
+#  This file is a truly COADS compliant netCDF file.
+#  It will be generated by the hist software from
+#  the IOIPSL package.
+OUTPUT_FILE = sechiba_history.nc
+# default = cabauw_out.nc
+
+# Flag to switch on histfile 2 for SECHIBA (hi-frequency ?)
+# This Flag switch on the second SECHIBA writing for hi (or low) 
+#  frequency writing. This second output is optional and not written
+#  by default.
+SECHIBA_HISTFILE2 = FALSE
+# default  = FALSE
+
+# Name of file in which the output number 2 is going
+#   to be written
+# If SECHIBA_HISTFILE2
+# This file is going to be created by the model
+#   and will contain the output 2 from the model.
+SECHIBA_OUTPUT_FILE2 = sechiba_out_2.nc
+# default  = sechiba_out_2.nc
+
+# Name of file in which STOMATE's output is going to be written
+# This file is going to be created by the model
+#  and will contain the output from the model.
+#  This file is a truly COADS compliant netCDF file.
+#  It will be generated by the hist software from
+#  the IOIPSL package.
+STOMATE_OUTPUT_FILE = stomate_history.nc
+# default = stomate_history.nc
+
+# Write levels for outputs files (number of variables) :
+#---------------------------------------------------------------------
+
+# SECHIBA history output level (0..10)
+# Chooses the list of variables in the history file. 
+#  Values between 0: nothing is written; 10: everything is 
+#  written are available More details can be found on the web under documentation.
+#  web under documentation.
+SECHIBA_HISTLEVEL = 5
+# default = 5
+
+# SECHIBA history 2 output level (0..10)
+# If SECHIBA_HISTFILE2
+# Chooses the list of variables in the history file. 
+#   Values between 0: nothing is written; 10: everything is 
+#   written are available More details can be found on the web under documentation.
+#   web under documentation.
+# First level contains all ORCHIDEE outputs.
+SECHIBA_HISTLEVEL2 = 1
+# default = 1
+
+# STOMATE history output level (0..10)
+#  0: nothing is written; 10: everything is written
+STOMATE_HISTLEVEL = 10
+# default = 10
+
+# Write frequency for output files (SECHIBA in seconds et
+# STOMATE in days) :
+#---------------------------------------------------------------------
+# Frequency in seconds at which to WRITE output
+# This variables gives the frequency the output of
+#  the model should be written into the netCDF file.
+#  It does not affect the frequency at which the
+#  operations such as averaging are done.
+WRITE_STEP = 86400.0
+# default = 86400.0
+
+# Frequency in seconds at which to WRITE output
+# If SECHIBA_HISTFILE2
+# This variables gives the frequency the output 2 of
+#   the model should be written into the netCDF file.
+#   It does not affect the frequency at which the
+#   operations such as averaging are done.
+#   That is IF the coding of the calls to histdef
+#   are correct !
+WRITE_STEP2 = 1800.0
+# default = 1800.0
+
+# STOMATE history time step (d)
+# Time step of the STOMATE history file
+# Care : this variable must be higher than DT_SLOW
+STOMATE_HIST_DT = 10.
+# default = 10.
+
+#**************************************************************************
+#                             Area location
+#**************************************************************************
+#  The model will use the smalest regions from
+#  region specified here and the one of the forcing file.
+
+# Western limit of region
+# Western limit of the region we are 
+#  interested in. Between -180 and +180 degrees
+LIMIT_WEST = -180.
+# default = -180.
+
+# Eastern limit of region
+# Eastern limit of the region we are
+#  interested in. Between -180 and +180 degrees
+LIMIT_EAST = 180.
+# default = 180.
+
+# Northern limit of region
+# Northern limit of the region we are
+#  interested in. Between +90 and -90 degrees
+LIMIT_NORTH = 90.
+# default = 90.
+
+# Southern limit of region
+# Southern limit of the region we are
+#  interested in. Between 90 and -90 degrees
+LIMIT_SOUTH = -90.
+# default = -90.
+
+##**************************************************************************
+#                       Simulation parameters
+#**************************************************************************
+
+# method of forcing
+# A method is proposed by which the first atmospheric
+#   level is not directly forced by observations but
+#   relaxed with a time constant towards observations.
+#   For the moment the methods tends to smooth too much
+#   the diurnal cycle and introduces a time shift.
+#   A more sophisticated method is needed.
+RELAXATION = n
+# default = n
+
+# Time constant of the relaxation layer RELAXATION
+# The time constant associated to the atmospheric
+#  conditions which are going to be computed
+#  in the relaxed layer. To avoid too much
+#  damping the value should be larger than 1000.
+RELAX_A = 1000.
+# default = 1000.0
+
+# Height at which T and Q are given
+# The atmospheric variables (temperature and specific
+#  humidity) are measured at a specific level.
+#  The height of this level is needed to compute
+#  correctly the turbulent transfer coefficients.
+#  Look at the description of the forcing
+#  DATA for the correct value.
+HEIGHT_LEV1 = 2.0
+# default  = 2.0
+
+# Height at which the wind is given
+# The height at which wind is needed to compute
+#  correctly the turbulent transfer coefficients.
+HEIGHT_LEVW = 10.0
+# default  = 10.0
+
+#---------------------------------------------------------------------
+# Weather generator or not :
+#---------------------------------------------------------------------
+
+# Allow weather generator to create data.
+# This flag allows the forcing-reader to generate
+#  synthetic data if the data in the file is too sparse
+#  and the temporal resolution would not be enough to
+#  run the model.
+ALLOW_WEATHERGEN = n
+# default = n
+
+# North-South Resolution
+# If ALLOW_WEATHERGEN
+# North-South Resolution of the region we are
+#  interested in. In degrees
+MERID_RES = 2.
+# default = 2.
+
+# East-West Resolution
+# If ALLOW_WEATHERGEN
+# East-West Resolution of the region we are
+#  interested in. In degrees
+ZONAL_RES = 2.
+# default = 2.
+
+# Use prescribed values
+# If ALLOW_WEATHERGEN
+# If this is set to 1, the weather generator
+#   uses the monthly mean values for daily means.
+#   If it is set to 0, the weather generator
+#   uses statistical relationships to derive daily
+#   values from monthly means.
+IPPREC = 0
+# default = 0
+
+# Interpolation  or not IF split is larger than 1
+# Choose IF you wish to interpolate linearly or not.
+NO_INTER = y
+INTER_LIN = n
+# default :
+#  NO_INTER = y
+#  INTER_LIN = n
+
+# Exact monthly precipitation
+# If ALLOW_WEATHERGEN
+# If this is set to y, the weather generator
+#   will generate pseudo-random precipitations
+#   whose monthly mean is exactly the prescribed one.
+#   In this case, the daily precipitation (for rainy
+#   days) is constant (that is, some days have 0 precip,
+#   the other days have precip = Precip_month/n_precip,
+#   where n_precip is the prescribed number of rainy days
+#   per month).
+WEATHGEN_PRECIP_EXACT = n
+# default = n
+
+# Calling frequency of weather generator (s)
+# Determines how often the weather generator
+#  is called (time step in s). Should be equal
+#  to or larger than Sechiba's time step (say,
+#  up to 6 times Sechiba's time step or so).
+DT_WEATHGEN = 1800.
+# default = 1800.
+
+# Conserve net radiation in the forcing
+# When the interpolation is used the net radiation
+#  provided by the forcing is not conserved anymore.
+#  This should be avoided and thus this option should
+#  be TRUE (y).
+#  This option is not used for short-wave if the
+#  time-step of the forcing is longer than an hour.
+#  It does not make sense to try and reconstruct
+#  a diurnal cycle and at the same time conserve the 
+#  incoming solar radiation.
+NETRAD_CONS = y
+# default = y
+
+# Write weather from generator into a forcing file
+# This flag makes the weather generator dump its
+#  generated weather into a forcing file which can
+#  then be used to get the same forcing on different
+#  machines. This only works correctly if there is
+#  a restart file (otherwise the forcing at the first
+#  time step is slightly wrong).
+DUMP_WEATHER = n
+# default = n
+
+# Name of the file that contains
+#  the weather from generator
+# If DUMP_WEATHER
+DUMP_WEATHER_FILE = weather_dump.nc
+# default = 'weather_dump.nc'
+
+# Dump weather data on gathered grid
+# If 'y', the weather data are gathered
+#  for all land points.
+# If DUMP_WEATHER
+DUMP_WEATHER_GATHERED = y
+# default = y
+
+
+# Read Orbital Parameters
+
+# Eccentricity Effect
+# Use prescribed values
+# IF ALLOW_WEATHERGEN
+ECCENTRICITY = 0.016724
+# default = 0.016724
+
+# Longitude of perihelie
+# Use prescribed values
+# If ALLOW_WEATHERGEN
+PERIHELIE = 102.04
+# default = 102.04
+
+# Use prescribed values
+# If ALLOW_WEATHERGEN
+OBLIQUITY = 23.446
+# default = 23.446
+
+#**************************************************************************
+# length of simulation :
+#---------------------------------------------------------------------
+# Length of the integration in time.
+# Length of integration. By default the entire length
+#        of the forcing is used. The FORMAT of this date can
+#        be either of the following :
+# n   : time step n within the forcing file
+# nS  : n seconds after the first time-step in the file
+# nD  : n days after the first time-step
+# nM  : n month after the first time-step (year of 365 days)
+# nY  : n years after the first time-step (year of 365 days)
+#        Or combinations :
+# nYmM: n years and m month
+TIME_LENGTH = default
+# default = depend on the time length and the number of time step in forcing file
+#         = itau_len = itau_fin-itau_dep
+
+
+# split time step :
+#---------------------------------------------------------------------
+
+# Splits the timestep imposed by the forcing
+# With this value the time step of the forcing
+#  will be devided. In principle this can be run
+#  in explicit mode but it is strongly suggested
+#  to use the implicit method so that the
+#  atmospheric forcing has a smooth evolution.
+SPLIT_DT = 12
+# default = 12
+
+#  Time in the forcing file at which the model is started.
+#  This time give the point in time at which the model
+#  should be started. 
+#  If exists, the date of the restart file is use.
+#  The FORMAT of this date can be either of the following :
+#  n   : time step n within the forcing file
+#  nS  : n seconds after the first time-step in the file
+#  nD  : n days after the first time-step
+#  nM  : n month after the first time-step (year of 365 days)
+#  nY  : n years after the first time-step (year of 365 days)
+#      Or combinations :
+#  nYmM: n years and m month
+TIME_SKIP = 0
+# default = 0
+
+# Number of time steps per year for carbon spinup.
+FORCESOIL_STEP_PER_YEAR = 12
+# default = 12
+
+# Number of years saved for carbon spinup.
+FORCESOIL_NB_YEAR = 1
+# default = 1
+
+# Spread the precipitation.
+# Spread the precipitaiton over n steps of the splited forcing time step. 
+#  This is ONLY applied if the forcing time step has been splited (SPLIT_DT).
+#  If the value indicated is greater than SPLIT_DT, SPLIT_DT is used for it.
+SPRED_PREC = 1
+# default = 1
+
+
+
+#---------------------------------------------------------------------
+# Parametrization :
+#---------------------------------------------------------------------
+
+# Activate STOMATE?
+# set to TRUE if STOMATE is to be activated
+STOMATE_OK_STOMATE = n
+# default = n
+
+# Activate DGVM?
+# set to TRUE if Dynamic Vegetation DGVM is to be activated
+STOMATE_OK_DGVM = n
+# default = n
+
+# Activate CO2?
+# set to TRUE if photosynthesis is to be activated
+STOMATE_OK_CO2 = n
+# default = n
+
+# Flag to force the value of atmospheric CO2 for vegetation.
+# If this flag is set to true, the ATM_CO2 parameter is used
+#  to prescribe the atmospheric CO2.
+# This Flag is only use in couple mode.
+FORCE_CO2_VEG = FALSE
+# default = FALSE
+
+# Value for atm CO2.
+# If FORCE_CO2_VEG (in not forced mode)
+# Value to prescribe the atm CO2.
+#  For pre-industrial simulations, the value is 286.2 .
+#  348. for 1990 year.
+ATM_CO2 = 350.
+# default = 350.
+
+
+# Index of grid point for online diagnostics
+# This is the index of the grid point which will be used for online diagnostics.
+STOMATE_DIAGPT = 1
+# default = 1
+
+# constant tree mortality
+# If yes, then a constant mortality is applied to trees. 
+#  Otherwise, mortality is a function of the trees' 
+#  vigour (as in LPJ).
+LPJ_GAP_CONST_MORT = y
+# default = y
+
+# no fire allowed
+# With this variable, you can allow or not
+#  the estimation of CO2 lost by fire
+FIRE_DISABLE = n
+# default = n
+
+
+# parameters describing the surface (vegetation + soil) :
+#---------------------------------------------------------------------
+#
+# Should the vegetation be prescribed
+# This flag allows the user to impose a vegetation distribution
+#  and its characterisitcs. It is espacially interesting for 0D
+#  simulations. On the globe it does not make too much sense as
+#  it imposes the same vegetation everywhere
+IMPOSE_VEG = n
+# default = n
+
+# Flag to use old "interpolation" of vegetation map.
+# IF NOT IMPOSE_VEG and NOT LAND_USE
+#  If you want to recover the old (ie orchidee_1_2 branch) 
+#   "interpolation" of vegetation map.
+SLOWPROC_VEGET_OLD_INTERPOL = n
+# default = n
+
+# Vegetation distribution within the mesh (0-dim mode)
+# If IMPOSE_VEG
+# The fraction of vegetation is read from the restart file. If
+#  it is not found there we will use the values provided here.
+SECHIBA_VEG__01 = 0.2
+SECHIBA_VEG__02 = 0.0
+SECHIBA_VEG__03 = 0.0
+SECHIBA_VEG__04 = 0.0
+SECHIBA_VEG__05 = 0.0
+SECHIBA_VEG__06 = 0.0
+SECHIBA_VEG__07 = 0.0
+SECHIBA_VEG__08 = 0.0
+SECHIBA_VEG__09 = 0.0
+SECHIBA_VEG__10 = 0.8
+SECHIBA_VEG__11 = 0.0
+SECHIBA_VEG__12 = 0.0
+SECHIBA_VEG__13 = 0.0
+# default = 0.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.8, 0.0, 0.0, 0.0
+
+# Maximum vegetation distribution within the mesh (0-dim mode)
+# If IMPOSE_VEG
+# The fraction of vegetation is read from the restart file. If
+#  it is not found there we will use the values provided here.
+SECHIBA_VEGMAX__01 = 0.2
+SECHIBA_VEGMAX__02 = 0.0
+SECHIBA_VEGMAX__03 = 0.0
+SECHIBA_VEGMAX__04 = 0.0
+SECHIBA_VEGMAX__05 = 0.0
+SECHIBA_VEGMAX__06 = 0.0
+SECHIBA_VEGMAX__07 = 0.0
+SECHIBA_VEGMAX__08 = 0.0
+SECHIBA_VEGMAX__09 = 0.0
+SECHIBA_VEGMAX__10 = 0.8
+SECHIBA_VEGMAX__11 = 0.0
+SECHIBA_VEGMAX__12 = 0.0
+SECHIBA_VEGMAX__13 = 0.0
+# default = 0.2, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.8, 0.0, 0.0, 0.0
+
+# LAI for all vegetation types (0-dim mode)
+# If IMPOSE_VEG
+# The maximum LAI used in the 0dim mode. The values should be found
+#  in the restart file. The new values of LAI will be computed anyway
+#  at the end of the current day. The need for this variable is caused
+#  by the fact that the model may stop during a day and thus we have not
+#  yet been through the routines which compute the new surface conditions.
+SECHIBA_LAI__01 = 0.
+SECHIBA_LAI__02 = 8.
+SECHIBA_LAI__03 = 8.
+SECHIBA_LAI__04 = 4.
+SECHIBA_LAI__05 = 4.5
+SECHIBA_LAI__06 = 4.5
+SECHIBA_LAI__07 = 4.
+SECHIBA_LAI__08 = 4.5
+SECHIBA_LAI__09 = 4.
+SECHIBA_LAI__10 = 2.
+SECHIBA_LAI__11 = 2.
+SECHIBA_LAI__12 = 2.
+SECHIBA_LAI__13 = 2.
+# default = 0., 8., 8., 4., 4.5, 4.5, 4., 4.5, 4., 2., 2., 2., 2.
+
+# Height for all vegetation types (m)
+# If IMPOSE_VEG
+# The height used in the 0dim mode. The values should be found
+#  in the restart file. The new values of height will be computed anyway
+#  at the end of the current day. The need for this variable is caused
+#  by the fact that the model may stop during a day and thus we have not
+#  yet been through the routines which compute the new surface conditions.
+SLOWPROC_HEIGHT__01 = 0.
+SLOWPROC_HEIGHT__02 = 50.
+SLOWPROC_HEIGHT__03 = 50.
+SLOWPROC_HEIGHT__04 = 30.
+SLOWPROC_HEIGHT__05 = 30.
+SLOWPROC_HEIGHT__06 = 30.
+SLOWPROC_HEIGHT__07 = 20.
+SLOWPROC_HEIGHT__08 = 20.
+SLOWPROC_HEIGHT__09 = 20.
+SLOWPROC_HEIGHT__10 = .2
+SLOWPROC_HEIGHT__11 = .2
+SLOWPROC_HEIGHT__12 = .4
+SLOWPROC_HEIGHT__13 = .4
+# default = 0., 30., 30., 20., 20., 20., 15., 15., 15., .5, .6, 1.0, 1.0
+
+
+# Fraction of the 3 soil types (0-dim mode)
+# If IMPOSE_VEG
+# Determines the fraction for the 3 soil types
+#  in the mesh in the following order : sand loam and clay.
+SOIL_FRACTIONS__01 = 0.28
+SOIL_FRACTIONS__02 = 0.52
+SOIL_FRACTIONS__03 = 0.20
+# default = 0.28, 0.52, 0.20
+
+# Temperature used for the initial guess of LAI
+# If there is no LAI in the restart file, we may need
+#  a temperature that is used to guess the initial LAI.
+SLOWPROC_LAI_TEMPDIAG = 280.
+# default = 280.
+
+# Soil level (m) used for canopy development 
+# If STOMATE is not activated.
+# The temperature at this soil depth is used to determine the LAI when
+#   STOMATE is not activated.
+SECHIBA_ZCANOP = 0.5
+# default = 0.5
+
+# Fraction of other surface types within the mesh (0-dim mode)
+# If IMPOSE_VEG
+# The fraction of ice, lakes, etc. is read from the restart file. If
+#  it is not found there we will use the values provided here.
+#  For the moment, there is only ice.
+SECHIBA_FRAC_NOBIO = 0.0
+# default = 0.0
+
+# Fraction of the clay fraction (0-dim mode)
+# If IMPOSE_VEG
+# Determines the fraction of clay in the grid box.
+CLAY_FRACTION = 0.2
+# default = 0.2
+
+# Should the surface parameters be prescribed
+# This flag allows the user to impose the surface parameters
+#  (Albedo Roughness and Emissivity). It is espacially interesting for 0D
+#  simulations. On the globe it does not make too much sense as
+#  it imposes the same vegetation everywhere
+IMPOSE_AZE = n
+# default = n
+
+# Emissivity of the surface for LW radiation
+# If IMPOSE_AZE
+# The surface emissivity used for compution the LE emission
+#  of the surface in a 0-dim version. Values range between 
+#  0.97 and 1.. The GCM uses 0.98.
+CONDVEG_EMIS = 1.0
+# default = 1.0
+
+# SW visible albedo for the surface
+# If IMPOSE_AZE
+# Surface albedo in visible wavelengths to be used 
+#  on the point if a 0-dim version of SECHIBA is used. 
+#  Look at the description of the forcing data for 
+#  the correct value.
+CONDVEG_ALBVIS = 0.25
+# default = 0.25
+
+# SW near infrared albedo for the surface
+# If IMPOSE_AZE
+# Surface albedo in near infrared wavelengths to be used 
+#  on the point if a 0-dim version of SECHIBA is used. 
+#  Look at the description of the forcing data for 
+#  the correct value.
+CONDVEG_ALBNIR = 0.25
+# default = 0.25
+
+# Average method for z0
+# If this flag is set to true (y) then the neutral Cdrag
+#  is averaged instead of the log(z0). This should be
+#  the prefered option. We still wish to keep the other
+#  option so we can come back if needed. If this is
+#  desired then one should set Z0CDRAG_AVE = n
+Z0CDRAG_AVE = y
+# default = y
+
+# Surface roughness (m)
+# If IMPOSE_AZE
+# Surface rougness to be used on the point if a 0-dim version
+#  of SECHIBA is used. Look at the description of the forcing  
+#  data for the correct value.
+CONDVEG_Z0 = 0.15
+# default = 0.15_stnd
+
+# Height to be added to the height of the first level (m)
+# If IMPOSE_AZE
+# ORCHIDEE assumes that the atmospheric level height is counted
+#  from the zero wind level. Thus to take into account the roughness
+#  of tall vegetation we need to correct this by a certain fraction
+#  of the vegetation height. This is called the roughness height in
+#  ORCHIDEE talk.
+ROUGHHEIGHT = 0.0
+# default = 0.0
+
+# The snow albedo used by SECHIBA
+# This option allows the user to impose a snow albedo.
+#  Default behaviour is to use the model of snow albedo
+#  developed by Chalita (1993).
+CONDVEG_SNOWA = default
+# default = use the model of snow albedo developed by Chalita
+
+# Switch bare soil albedo dependent (if TRUE) on soil wetness
+# If TRUE, the model for bare soil albedo is the old formulation.
+#  Then it depend on the soil dry or wetness. If FALSE, it is the 
+#  new computation that is taken, it is only function of soil color.
 ALB_BARE_MODEL = FALSE
+# default = FALSE
+
+# Initial snow mass if not found in restart
+# The initial value of snow mass if its value is not found
+#   in the restart file. This should only be used if the model is 
+#   started without a restart file.
+HYDROL_SNOW = 0.0
+# default = 0.0
+
+
+# Initial snow age if not found in restart
+# The initial value of snow age if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_SNOWAGE = 0.0
+# default = 0.0
+
+# Initial snow amount on ice, lakes, etc. if not found in restart
+# The initial value of snow if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_SNOW_NOBIO = 0.0
+# default = 0.0
+
+# Initial snow age on ice, lakes, etc. if not found in restart
+# The initial value of snow age if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_SNOW_NOBIO_AGE = 0.0
+# default = 0.0
+
+# Initial dry soil height if not found in restart for ORCHIDEE_1.3 to 1.5 Tags only.
+# The initial value of dry soil height if its value is not found
+# in the restart file. This should only be used if the model is 
+# started without a restart file.
+HYDROL_HDRY = 0.0
+# default = 0.0
+
+# Initial soil moisture stress if not found in restart
+# The initial value of soil moisture stress if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_HUMR = 1.0
+# default = 1.0
+
+# Total depth of soil reservoir
+HYDROL_SOIL_DEPTH = 2.
+# default = 2.
+
+# Initial restart deep soil moisture if not found in restart
+# The initial value of deep soil moisture if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file. Default behaviour is a saturated soil.
+HYDROL_BQSB = default
+# default = Maximum quantity of water (Kg/M3) * Total depth of soil reservoir = 150. * 2
+
+# Initial upper soil moisture if not found in restart
+# The initial value of upper soil moisture if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_GQSB = 0.0
+# default = 0.0
+
+# Initial upper reservoir depth if not found in restart
+# The initial value of upper reservoir depth if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_DSG = 0.0
+# default = 0.0
+
+# Initial dry soil above upper reservoir if not found in restart
+# The initial value of dry soil above upper reservoir if its value 
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file. The default behaviour
+#  is to compute it from the variables above. Should be OK most of 
+#  the time.
+HYDROL_DSP = default
+# default = Total depth of soil reservoir - HYDROL_BQSB / Maximum quantity of water (Kg/M3) = 0.0
+
+# Initial water on canopy if not found in restart
+# The initial value of moisture on canopy if its value 
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_QSV = 0.0
+# default = 0.0
+
+# Soil moisture on each soil tile and levels
+# The initial value of mc if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+HYDROL_MOISTURE_CONTENT = 0.3
+# default = 0.3
+
+# US_NVM_NSTM_NSLM
+# The initial value of us (relative moisture) if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+US_INIT = 0.0
+# default = 0.0
+
+# Coefficient for free drainage at bottom
+# The initial value of free drainage if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+FREE_DRAIN_COEF = 1.0, 1.0, 1.0
+# default = 1.0, 1.0, 1.0
+
+# Bare soil evap on each soil if not found in restart
+# The initial value of bare soils evap if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+EVAPNU_SOIL = 0.0
+# default = 0.0
+
+
+# Initial temperature if not found in restart
+# The initial value of surface temperature if its value is not found
+#  in the restart file. This should only be used if the model is 
+#  started without a restart file.
+ENERBIL_TSURF = 280.
+# default = 280.
+
+# Initial Soil Potential Evaporation
+# The initial value of soil potential evaporation if its value 
+#  is not found in the restart file. This should only be used if
+#  the model is started without a restart file. 
+ENERBIL_EVAPOT = 0.0
+# default = 0.0
+
+# Initial soil temperature profile if not found in restart
+# The initial value of the temperature profile in the soil if 
+#   its value is not found in the restart file. This should only 
+#   be used if the model is started without a restart file. Here
+#   we only require one value as we will assume a constant 
+#   throughout the column.
+THERMOSOIL_TPRO = 280.
+# default = 280.
+
+# Initial leaf CO2 level if not found in restart
+# The initial value of leaf_ci if its value is not found
+#  in the restart file. This should only be used if the model is
+#  started without a restart file.
+DIFFUCO_LEAFCI = 233.
+# default = 233.
+
+
+# Keep cdrag coefficient from gcm.
+# Set to .TRUE. if you want q_cdrag coming from GCM.
+#  Keep cdrag coefficient from gcm for latent and sensible heat fluxes.
+#  TRUE if q_cdrag on initialization is non zero (FALSE for off-line runs).
+CDRAG_FROM_GCM = y
+# default =  IF q_cdrag == 0 ldq_cdrag_from_gcm = .FALSE. ELSE .TRUE.
+
+
+# Artificial parameter to increase or decrease canopy resistance
+# Add from Nathalie - the 28 of March 2006 - advice from Fred Hourdin
+# By PFT.
+RVEG_PFT = .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5
+# default = 1.
+
+
+# Interception reservoir coefficient.
+# Transforms leaf area index into size of interception reservoir
+#  for slowproc_derivvar or stomate.
+SECHIBA_QSINT = 0.02
+# default = 0.1
+
+#**************************************************************************
+# LAI
+#**************************************************************************
+
+# Read the LAI map
+# It is possible to read a 12 month LAI map which will
+#  then be interpolated to daily values as needed.
+#  If n => type_of_lai (constant_veg.f90)
+#     - mean    : lai(ji,jv) = undemi * (llaimax(jv) + llaimin(jv))
+#     - inter   : llaimin(jv) + tempfunc(stempdiag(ji,lcanop)) * (llaimax(jv) - llaimin(jv))
+LAI_MAP = n
+# default = n
+
+# Name of file from which the vegetation map is to be read
+# If LAI_MAP
+# The name of the file to be opened to read the LAI
+#  map is to be given here. Usualy SECHIBA runs with a 5kmx5km
+#  map which is derived from a Nicolas VIOVY one. 
+LAI_FILE = lai2D.nc
+# default = ../surfmap/lai2D.nc
+
+# Flag to use old "interpolation" of LAI
+# If LAI_MAP
+# If you want to recover the old (ie orchidee_1_2 branch) 
+# "interpolation" of LAI map.
+SLOWPROC_LAI_OLD_INTERPOL = n
+# default = n
+
+#**************************************************************************
+# LAND_USE
+#**************************************************************************
+
+# Read a land_use vegetation map
+# pft values are needed, max time axis is 293
+LAND_USE = y
+# default = n
+
+# Year of the land_use vegetation map readed
+# year off the pft map
+# If LAND_USE (11 = 1860 - 1850 +1 for PFTmap.20C3M.nc) 
+VEGET_YEAR = 11
+# default = 282
+
+# Update vegetation frequency (since 2.0 version)
+# The veget datas will be update each this time step.
+# If LAND_USE
+VEGET_UPDATE = 1Y
+# default = 1Y
+
+# treat land use modifications
+# With this variable, you can use a Land Use map
+# to simulate anthropic modifications such as   
+# deforestation.                                
+# If LAND_USE
+LAND_COVER_CHANGE = y
+# default = y
+
+#**************************************************************************
+
+# agriculture allowed?
+# With this variable, you can determine
+#  whether agriculture is allowed
+AGRICULTURE = y
+# default = y
+
+# Harvert model for agricol PFTs.
+# Compute harvest above ground biomass for agriculture.
+# Change daily turnover.
+HARVEST_AGRI = y
+# default = y
+
+# herbivores allowed?
+# With this variable, you can activate herbivores 
+HERBIVORES = n
+# default = n
+
+# treat expansion of PFTs across a grid cell?
+# With this variable, you can determine
+#  whether we treat expansion of PFTs across a
+#  grid cell.
+TREAT_EXPANSION = n
+# default = n
+
+#**************************************************************************
+
+# Time within the day simulated
+# This is the time spent simulating the current day. This variable is
+#  prognostic as it will trigger all the computations which are
+#  only done once a day.
+SECHIBA_DAY = 0.0
+# default = 0.0
+
+# Time step of STOMATE and other slow processes
+# Time step (s) of regular update of vegetation
+#  cover, LAI etc. This is also the time step
+#  of STOMATE.
+DT_SLOW = 86400.
+# default = un_jour = 86400.
+
+#**************************************************************************
+
+# Allows to switch on the multilayer hydrology of CWRR
+# This flag allows the user to decide if the vertical
+#  hydrology should be treated using the multi-layer 
+#  diffusion scheme adapted from CWRR by Patricia de Rosnay.
+#  by default the Choisnel hydrology is used.
+HYDROL_CWRR = n
+# default = n
+
+# do horizontal diffusion?
+# If TRUE, then water can diffuse horizontally between
+#  the PFTs' water reservoirs.
+HYDROL_OK_HDIFF = n
+# default = n
+ 
+
+# time scale (s) for horizontal diffusion of water
+# If HYDROL_OK_HDIFF
+# Defines how fast diffusion occurs horizontally between
+#  the individual PFTs' water reservoirs. If infinite, no
+#  diffusion.
+HYDROL_TAU_HDIFF = 1800.
+# default = 86400.
+
+# Percent of precip that is not intercepted by the canopy (only for TAG 1.6).
+# During one rainfall event, PERCENT_THROUGHFALL% of the incident rainfall
+#  will get directly to the ground without being intercepted.
+PERCENT_THROUGHFALL = 30.
+# default = 30.
+
+# Percent by PFT of precip that is not intercepted by the canopy (since TAG 1.8).
+# During one rainfall event, PERCENT_THROUGHFALL_PFT% of the incident rainfall
+#  will get directly to the ground without being intercepted, for each PFT..
 PERCENT_THROUGHFALL_PFT = 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30.
-RVEG_PFT = .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5
-CDRAG_FROM_GCM = .TRUE.
-#LAND_USE=y
-#VEGET_YEAR=0
-#VEGET_UPDATE=1Y
+# default = 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30., 30.
+
+
+# Decides if we route the water or not
+# This flag allows the user to decide if the runoff
+#  and drainage should be routed to the ocean
+#  and to downstream grid boxes.
+RIVER_ROUTING = n
+# default = n
+
+# Name of file which contains the routing information
+# The file provided here should allow the routing module to
+#  read the high resolution grid of basins and the flow direction 
+#  from one mesh to the other.
+ROUTING_FILE = routing.nc
+# default = routing.nc
+
+# Time step of the routing scheme
+# If RIVER_ROUTING
+# This values gives the time step in seconds of the routing scheme. 
+#   It should be multiple of the main time step of ORCHIDEE. One day
+#   is a good value.
+ROUTING_TIMESTEP = 86400
+# default = 86400
+
+# Number of rivers 
+# If RIVER_ROUTING
+# This parameter chooses the number of largest river basins
+#  which should be treated as independently as rivers and not
+#  flow into the oceans as diffusion coastal flow.
+ROUTING_RIVERS = 50
+# default = 50
+
+# Should we compute an irrigation flux 
+# This parameters allows the user to ask the model
+#  to compute an irigation flux. This performed for the
+#  on very simple hypothesis. The idea is to have a good
+#  map of irrigated areas and a simple function which estimates
+#  the need to irrigate.
+DO_IRRIGATION = n
+# default = n
+
+# Name of file which contains the map of irrigated areas
+# If IRRIGATE
+# The name of the file to be opened to read the field
+#  with the area in m^2 of the area irrigated within each
+#  0.5 0.5 deg grid box. The map currently used is the one
+#  developed by the Center for Environmental Systems Research 
+#  in Kassel (1995).
+IRRIGATION_FILE = irrigated.nc
+# default = irrigated.nc
+
+# Should we include floodplains 
+# This parameters allows the user to ask the model
+#  to take into account the flood plains and return 
+#  the water into the soil moisture. It then can go 
+#  back to the atmopshere. This tried to simulate 
+#  internal deltas of rivers.
+DO_FLOODPLAINS = n
+# default = n
+
+#**************************************************************************
Index: CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_WORK/EXPLANDU/config.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_WORK/EXPLANDU/config.card	(revision 737)
+++ CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_WORK/EXPLANDU/config.card	(revision 739)
@@ -10,5 +10,5 @@
 #============================
 #-- (<8 chars MAX for JobName)
-JobName=CM5
+JobName=CM5LANDU
 LongName="SCRIPT_V1"
 TagName=IPSLCM5
@@ -19,5 +19,5 @@
 #-- "YYYY-MM-DD"
 DateBegin=1860-01-01
-DateEnd=1860-12-30
+DateEnd=1870-12-30
 #============================
 #-- 1Y, 1M, 5D, 1D Period Length of one trunk of simulation
